Endpoints
Search
Search endpoints of the Elnora REST API.
Base URL https://platform.elnora.ai/api/v1. Authenticate every request with the X-API-Key header — see Authentication.
GET /search
Search everything (tasks + files).
curl https://platform.elnora.ai/api/v1/search \
-H "X-API-Key: $ELNORA_API_KEY"Parameters
| Name | In | Type | Required |
|---|---|---|---|
q | query | string | no |
Page | query | int32 | no |
PageSize | query | int32 | no |
SortBy | query | string | no |
SortDirection | query | string | no |
Responses: 200
GET /search/file-content
Search file content via full-text search.
curl https://platform.elnora.ai/api/v1/search/file-content \
-H "X-API-Key: $ELNORA_API_KEY"Parameters
| Name | In | Type | Required |
|---|---|---|---|
q | query | string | no |
Page | query | int32 | no |
PageSize | query | int32 | no |
SortBy | query | string | no |
SortDirection | query | string | no |
Responses: 200
GET /search/files
Search files by name.
curl https://platform.elnora.ai/api/v1/search/files \
-H "X-API-Key: $ELNORA_API_KEY"Parameters
| Name | In | Type | Required |
|---|---|---|---|
q | query | string | no |
Page | query | int32 | no |
PageSize | query | int32 | no |
SortBy | query | string | no |
SortDirection | query | string | no |
Responses: 200
GET /search/tasks
Search across user's task messages.
curl https://platform.elnora.ai/api/v1/search/tasks \
-H "X-API-Key: $ELNORA_API_KEY"Parameters
| Name | In | Type | Required |
|---|---|---|---|
q | query | string | no |
Page | query | int32 | no |
PageSize | query | int32 | no |
SortBy | query | string | no |
SortDirection | query | string | no |
Responses: 200